<?xml version="1.0" encoding="utf-8"?>
<!--
	PACK_DEPOSIT_REFUND v0.02

	Copyright (C) 2025 Environment Agency Austria
	Contact: edm-helpdesk@umweltbundesamt.at

	Commissioned by the Austrian Federal Ministry of Environment (BMK)

	Licensed under the EUPL, Version 1.2 or – as soon they will be approved
	by the European Commission – subsequent versions of the EUPL (the "Licence");

	You may not use this work except in compliance with the Licence.

	You may obtain a copy of the Licence at: http://joinup.ec.europa.eu/software/page/eupl

	Unless required by applicable law or agreed to in writing, work distributed under the licence is distributed
	on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

	See the Licence for the specific language governing permissions and limitations under the Licence.
-->
<schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:f="http://f.net/" xmlns:sch="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" queryBinding="xslt2">
	<ns uri="http://www.umweltbundesamt.at/schema/pack_deposit_refund_message" prefix="pkm"/>
	<ns uri="http://f.net/" prefix="f"/>
	<ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
	<xsl:function name="f:UTCtimestampToDate" as="xs:date">
		<xsl:param name="dt" as="xs:dateTime"/>
		<xsl:param name="offset" as="xs:dayTimeDuration"/>
		<xsl:sequence select="xs:date(format-dateTime(adjust-dateTime-to-timezone($dt, $offset),'[Y]-[M,2]-[D,2]'))"/>
	</xsl:function>
	<xsl:function name="f:isPeriodCoverage" as="xs:boolean">
		<xsl:param name="periodastartdate" as="xs:date"/>
		<xsl:param name="periodaenddate" as="xs:date"/>
		<xsl:param name="lnodestructperiodb" as="node()"/>
		<xsl:param name="selemnamestartdate" as="xs:string"/>
		<xsl:param name="selemnameenddate" as="xs:string"/>
		<xsl:sequence select="if ((count($lnodestructperiodb/*[local-name() eq $selemnamestartdate]) ne 1) or (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) gt 1)) then (false()) else (if (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) eq 0) then (if (xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) then (true()) else (false())) else (if ((xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) and (xs:date(($lnodestructperiodb/*[local-name() eq $selemnameenddate])[1]) ge $periodaenddate)) then (true()) else (false())))"/>
	</xsl:function>
	<xsl:function name="f:safeStringValue" as="xs:string">
		<xsl:param name="n_elem" as="node()?"/>
		<xsl:sequence select="if (exists($n_elem) and exists($n_elem/text())) then ($n_elem/text()) else ('')"/>
	</xsl:function>
	<xsl:function name="f:safeEQ" as="xs:boolean">
		<xsl:param name="n_elem_a" as="node()?"/>
		<xsl:param name="n_elem_b" as="node()?"/>
		<xsl:sequence select="if (exists($n_elem_a) and exists($n_elem_b)) then (($n_elem_a/text() eq $n_elem_b/text())) else (false())"/>
	</xsl:function>
	<xsl:function name="f:safeEQnull" as="xs:boolean">
		<xsl:param name="n_elem_a" as="node()?"/>
		<xsl:param name="n_elem_b" as="node()?"/>
		<xsl:sequence select="if (exists($n_elem_a) and exists($n_elem_b)) then (($n_elem_a/text() eq $n_elem_b/text())) else (not(exists($n_elem_a)) and not(exists($n_elem_b)))"/>
	</xsl:function>
	<xsl:function name="f:safeEQnullElem" as="xs:boolean">
		<xsl:param name="n_elem_a" as="node()"/>
		<xsl:param name="n_elem_b" as="node()"/>
		<xsl:param name="s_elem_name" as="xs:string"/>
		<xsl:variable name="lna" select="$n_elem_a/*[name() eq $s_elem_name]"/>
		<xsl:variable name="lnb" select="$n_elem_b/*[name() eq $s_elem_name]"/>
		<xsl:variable name="na" select="if (count($lna) eq 1) then ($lna[1]) else ()"/>
		<xsl:variable name="nb" select="if (count($lnb) eq 1) then ($lnb[1]) else ()"/>
		<xsl:sequence select="if ((count($lna) le 1) and (count($lnb) le 1)) then (f:safeEQnull($na,$nb)) else (false())"/>
	</xsl:function>
	<xsl:function name="f:prefixIfNonEmpty" as="xs:string">
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:param name="smain" as="xs:string"/>
		<xsl:sequence select="if ($smain eq '') then ('') else (concat($sprefix,$smain))"/>
	</xsl:function>
	<xsl:function name="f:prefixSuffixIfNonEmpty" as="xs:string">
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:param name="smain" as="xs:string"/>
		<xsl:param name="ssuffix" as="xs:string"/>
		<xsl:sequence select="if ($smain eq '') then ('') else (concat($sprefix,$smain,$ssuffix))"/>
	</xsl:function>
	<xsl:function name="f:eventElemNameBasic" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:val1) else ('')"/>
	</xsl:function>
	<xsl:function name="f:eventElemNameExt" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:*[local-name() eq $sval]/text()) else ('')"/>
	</xsl:function>
	<xsl:function name="f:contentTypeString" as="xs:string">
		<xsl:param name="lcontenttypenode" as="node()"/>
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (exists($lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid])) then (concat('»',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val1,' gemäß ',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val2,'« (Code »',$scontenttypeid,'«)')) else (concat('»',$scontenttypeid,'«'))"/>
	</xsl:function>
	<xsl:function name="f:resolveMessageTypeID" as="xs:string">
		<xsl:param name="l8686" as="node()"/>
		<xsl:param name="smessagetypeid" as="xs:string"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid])) then ($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid]/sch:val1) else ($smessagetypeid),'«')"/>
	</xsl:function>
	<xsl:function name="f:resolveGTINString" as="xs:string">
		<xsl:param name="lattrvaluenode" as="node()"/>
		<xsl:param name="sgtin" as="xs:string"/>
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:sequence select="if (exists($lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin])) then (concat($sprefix,'»',$lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin]/sch:val1,'« (GTIN ',$sgtin,')')) else (concat($sprefix,' mit der GTIN ',$sgtin))"/>
	</xsl:function>
	<xsl:function name="f:resolvePartyIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])[1]/pkm:PartyName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function name="f:resolveLocalPartyRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function name="f:resolveSiteIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])[1]/pkm:SiteName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function name="f:resolveLocalSiteRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function name="f:resolveCountryIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:variable name="lnodeelem" select="$lnodevalcontext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq $sid]"/>
		<xsl:sequence select="if (exists($lnodeelem) and exists($lnodeelem/pkm:CountryTwoLetterID)) then (concat($lnodeelem/pkm:CountryTwoLetterID,' (ID »',$sid,'«)')) else (concat('»',$sid,'«'))"/>
	</xsl:function>
	<xsl:function name="f:formatCount" as="xs:string">
		<xsl:param name="lnodecount" as="node()"/>
		<xsl:sequence select="translate(format-number(xs:decimal($lnodecount), '#,##0'),'.,',',.')"/>
	</xsl:function>
	<xsl:function name="f:formatMassCore" as="xs:string">
		<xsl:param name="dmass" as="xs:decimal"/>
		<xsl:sequence select="concat(translate(format-number($dmass, '#,##0.##'),'.,',',.'),' kg')"/>
	</xsl:function>
	<xsl:function name="f:formatMass" as="xs:string">
		<xsl:param name="lnodemass" as="node()"/>
		<xsl:sequence select="f:formatMassCore(xs:decimal($lnodemass))"/>
	</xsl:function>
	<xsl:function name="f:checkUseElem" as="xs:boolean">
		<xsl:param name="sname" as="xs:string"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:sequence select="if ($sfilterincl ne '') then (if (contains($sfilterincl,concat('.',$sname,'.'))) then (true()) else (false())) else (if ($sfilterexcl ne '') then (if (not(contains($sfilterexcl,concat('.',$sname,'.')))) then (true()) else (false())) else (true()))"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemMassValue" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MassValue) and f:checkUseElem('MassValue',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Masse ') else (''),f:formatMass($lnodeevent/pkm:MassValue))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemCount" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:Count) and f:checkUseElem('Count',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Anzahl ') else (''),f:formatCount($lnodeevent/pkm:Count))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemMaterialTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MaterialTypeID) and f:checkUseElem('MaterialTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Packstoff ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:MaterialTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventSingleUsePlasticBottleTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID) and f:checkUseElem('SingleUsePlasticBottleTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoff-Getränkeflaschen-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticBottleTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemBeverageTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:BeverageTypeID) and f:checkUseElem('BeverageTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Getränkekategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:BeverageTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemBeverageVolumeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:BeverageVolumeID) and f:checkUseElem('BeverageVolumeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Getränkevolumen-Kategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:BeverageVolumeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoveryTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryTypeID) and f:checkUseElem('RecoveryTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsart ') else (''),f:resolveGTINString($lnode4399,$lnodeevent/pkm:RecoveryTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoveryPartyID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyID) and f:checkUseElem('RecoveryPartyID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsunternehmen ') else (''),f:resolvePartyIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoveryPartyID,$lnodeevent/pkm:RecoveryPartyID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoveryPartyLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID) and f:checkUseElem('RecoveryPartyLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsunternehmen ') else (''),f:resolveLocalPartyRefString($lnodeevent/../..,$lnodeevent/pkm:RecoveryPartyLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoverySiteID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteID) and f:checkUseElem('RecoverySiteID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveSiteIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoverySiteID,$lnodeevent/pkm:RecoverySiteID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoverySiteLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteLocalReferenceID) and f:checkUseElem('RecoverySiteLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveLocalSiteRefString($lnodeevent/../..,$lnodeevent/pkm:RecoverySiteLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEvent" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="string-join((f:describeEventElemMaterialTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventSingleUsePlasticBottleTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat),  f:describeEventElemBeverageTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat),   f:describeEventElemBeverageVolumeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat),   f:describeEventRecoveryTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnode4399), f:describeEventRecoveryPartyID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoveryPartyLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemMassValue($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemCount($lnodeevent,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function name="f:describePartyLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodeparty/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:ID) and f:checkUseElem('ID',$sfilterincl,$sfilterexcl)) then (concat($lnodeparty/pkm:ID/@registerID,': »',$lnodeparty/pkm:ID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyName" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodeparty/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyCountry" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCountryID) and f:checkUseElem('RegisteredOfficeAddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodeparty/pkm:RegisteredOfficeAddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyPostalAreaID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID) and f:checkUseElem('RegisteredOfficeAddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Postleitzahl: »',$lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyCity" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCityName) and f:checkUseElem('RegisteredOfficeAddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Ort: »',$lnodeparty/pkm:RegisteredOfficeAddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeParty" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describePartyName($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyID($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyCountry($lnodeparty,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describePartyPostalAreaID($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyCity($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyLocalAssignmentID($lnodeparty,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodesite/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteName" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodesite/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteCountry" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCountryID) and f:checkUseElem('AddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodesite/pkm:AddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSitePostalAreaID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressPostalAreaID) and f:checkUseElem('AddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Postleitzahl: »',$lnodesite/pkm:AddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteCity" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCityName) and f:checkUseElem('AddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Ort: »',$lnodesite/pkm:AddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSite" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describeSiteName($lnodesite,$sfilterincl,$sfilterexcl,true()),  f:describeSiteCountry($lnodesite,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describeSitePostalAreaID($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteCity($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteLocalAssignmentID($lnodesite,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function name="f:isZeroSupportingContentType" as="xs:boolean">
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (((substring($scontenttypeid,1,7) eq 'PLC_MKT') and (contains($scontenttypeid,'.aPLC_MKT'))) or contains($scontenttypeid,'.sSP')) then (true()) else (false())"/>
	</xsl:function>
	<xsl:function name="f:isUnsupportedEventElem" as="xs:boolean">
		<xsl:param name="nevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:variable name="breq" select="exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)])"/>
		<xsl:sequence select="if ($breq eq false()) then (true()) else (if ($selemname eq 'SingleUsePlasticBottleTypeID') then (($sstrctid ne 'STRCT07') and (not(exists($nevent/pkm:MaterialTypeID)) or ($nevent/pkm:MaterialTypeID ne '9008390101476'))) else (false()))"/>
	</xsl:function>
	<xsl:function name="f:isRequiredEventElem" as="xs:boolean">
		<xsl:param name="nevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:variable name="breq" select="exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)])"/>
		<xsl:sequence select="if ($breq eq false()) then (false()) else (if ($selemname eq 'SingleUsePlasticBottleTypeID') then (($sstrctid eq 'STRCT07') or (exists($nevent/pkm:MaterialTypeID) and ($nevent/pkm:MaterialTypeID eq '9008390101476'))) else (true()))"/>
	</xsl:function>
	<xsl:function name="f:flexiContainsEventElem" as="xs:boolean">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if ($selemname eq 'RecoveryPartyID') then (exists($lnodeevent/pkm:RecoveryPartyID) or exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID)) else (if ($selemname eq 'RecoverySiteID') then (exists($lnodeevent/pkm:RecoverySiteID) or exists($lnodeevent/pkm:RecoverySiteLocalReferenceID)) else (exists($lnodeevent/*[local-name() eq $selemname])))"/>
	</xsl:function>
	<xsl:function name="f:flexiRequiredEventElemString" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:variable name="snameext" select="f:eventElemNameExt($leventelem,$selemname,$sval)"/>
		<xsl:variable name="snamebase" select="if ($selemname eq 'RecoveryPartyID') then ('Datenelement »RecoveryPartyID« bzw. »RecoveryPartyLocalReferenceID«') else (if ($selemname eq 'RecoverySiteID') then ('Datenelement »RecoverySiteID« bzw. »RecoverySiteLocalReferenceID«') else (concat('Datenelement »',$selemname,'«')))"/>
		<xsl:sequence select="if ($snameext ne '') then (concat($snameext,' (',$snamebase,')')) else (concat('das ',$snamebase))"/>
	</xsl:function>
	<xsl:function name="f:precedingSameTypeEvent" as="node()*">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:sequence select="$lnodeevent/preceding-sibling::pkm:Event[f:safeEQnullElem(.,$lnodeevent,'pkm:MaterialTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:SingleUsePlasticBottleTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:BeverageTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:BeverageVolumeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoveryTypeID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoveryPartyID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoveryPartyLocalReferenceID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoverySiteID') and f:safeEQnullElem(.,$lnodeevent,'pkm:RecoverySiteLocalReferenceID')]"/>
	</xsl:function>
	<xsl:function name="f:precedingIdenticalParty" as="node()*">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:sequence select="$lnodeparty/preceding-sibling::pkm:Party[f:safeEQnullElem(.,$lnodeparty,'pkm:ID') and f:safeEQnullElem(.,$lnodeparty,'pkm:Name') and f:safeEQnullElem(.,$lnodeparty,'pkm:RegisteredOfficeAddressCountryID') and f:safeEQnullElem(.,$lnodeparty,'pkm:RegisteredOfficeAddressPostalAreaID') and f:safeEQnullElem(.,$lnodeparty,'pkm:RegisteredOfficeAddressCityName')]"/>
	</xsl:function>
	<xsl:function name="f:precedingIdenticalSite" as="node()*">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:sequence select="$lnodesite/preceding-sibling::pkm:Site[f:safeEQnullElem(.,$lnodesite,'pkm:Name') and f:safeEQnullElem(.,$lnodesite,'pkm:AddressCountryID') and f:safeEQnullElem(.,$lnodesite,'pkm:AddressPostalAreaID') and f:safeEQnullElem(.,$lnodesite,'pkm:AddressCityName')]"/>
	</xsl:function>
	<let name="leventelem">
		<data>
			<row>
				<val0>MassValue</val0>
				<val1>Masse</val1>
				<val2>die Masse</val2>
				<val3>die Masse</val3>
			</row>
			<row>
				<val0>Count</val0>
				<val1>Anzahl</val1>
				<val2>die Anzahl</val2>
				<val3>die Anzahl</val3>
			</row>
			<row>
				<val0>MaterialTypeID</val0>
				<val1>Packstoff</val1>
				<val2>den Packstoff</val2>
				<val3>der Packstoff</val3>
			</row>
			<row>
				<val0>BeverageTypeID</val0>
				<val1>Getränkekategorie</val1>
				<val2>die Getränkekategorie</val2>
				<val3>die Getränkekategorie</val3>
			</row>
			<row>
				<val0>BeverageVolumeID</val0>
				<val1>Getränkevolumen-Kategorie</val1>
				<val2>die Getränkevolumen-Kategorie</val2>
				<val3>die Getränkevolumen-Kategorie</val3>
			</row>
			<row>
				<val0>SingleUsePlasticBottleTypeID</val0>
				<val1>Getränkeflaschen-Art</val1>
				<val2>die Getränkeflaschen-Art</val2>
				<val3>die Getränkeflaschen-Art</val3>
			</row>
			<row>
				<val0>RecoveryPartyID</val0>
				<val1>Verwertungsunternehmen</val1>
				<val2>das Verwertungsunternehmen</val2>
				<val3>das Verwertungsunternehmen</val3>
			</row>
			<row>
				<val0>RecoveryPartyLocalReferenceID</val0>
				<val1>Verwertungsunternehmen</val1>
				<val2>das Verwertungsunternehmen</val2>
				<val3>das Verwertungsunternehmen</val3>
			</row>
			<row>
				<val0>RecoverySiteID</val0>
				<val1>Verwertungsstandort</val1>
				<val2>den Verwertungsstandort</val2>
				<val3>der Verwertungsstandort</val3>
			</row>
			<row>
				<val0>RecoverySiteLocalReferenceID</val0>
				<val1>Verwertungsstandort</val1>
				<val2>den Verwertungsstandort</val2>
				<val3>der Verwertungsstandort</val3>
			</row>
		</data>
	</let>
	<let name="l8686">
		<data>
			<row>
				<val0>RPT_BVG.YEAR</val0>
				<val1>Einweggetränkeverpackungen-Jahresbericht der zentralen Stelle gemäß §24 Abs. 1 PfandVO</val1>
			</row>
		</data>
	</let>
	<let name="l3974">
		<data>
			<row>
				<val0>RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20</val0>
				<val1>Von Erstinverkehrsetzern in Österreich in Verkehr gesetzte bepfandete Einweggetränkeverpackungen</val1>
				<val2>§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</val2>
			</row>
			<row>
				<val0>RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20</val0>
				<val1>Zurückgenommene bepfandete Einweggetränkeverpackungen</val1>
				<val2>§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</val2>
			</row>
			<row>
				<val0>RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21</val0>
				<val1>Von Erstinverkehrsetzern zum Recycling übergebene Massen an Verpackungsmaterialien aus im Rahmen des Vorkaufsrechts übernommenen Einweggetränkeverpackungen</val1>
				<val2>§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</val2>
			</row>
			<row>
				<val0>RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14</val0>
				<val1>Recyclierte Verpackungsmaterialien aus von Erstinverkehrsetzern im Rahmen des Vorkaufsrechts übernommenen und zum Recycling übergebenen Einweggetränkeverpackungen</val1>
				<val2>§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</val2>
			</row>
			<row>
				<val0>RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21</val0>
				<val1>Von der zentralen Stelle zum Recycling übergebene Massen an Verpackungsmaterialien</val1>
				<val2>§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</val2>
			</row>
			<row>
				<val0>RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14</val0>
				<val1>Recyclierte Verpackungsmaterialien aus von der zentralen Stelle zum Recycling übergebenen Einweggetränkeverpackungen</val1>
				<val2>§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</val2>
			</row>
			<row>
				<val0>RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07</val0>
				<val1>Masse des eingesetzten Recyclats bezogen auf die in Verkehr gesetzten Einweggetränkeverpackungen</val1>
				<val2>§ 24 Abs. 1 Pfandverordnung für Einweggetränkeverpackungen</val2>
			</row>
		</data>
	</let>
	<let name="l8261">
		<data>
			<row>
				<val0>STRCT07</val0>
				<val1>SingleUsePlasticBottleTypeID</val1>
				<val2>Art von Einwegkunststoff-Getränkeflasche</val2>
			</row>
			<row>
				<val0>STRCT07</val0>
				<val1>MassValue</val1>
				<val2>Masse für eine Art von Einwegkunststoff-Getränkeflaschen</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>MaterialTypeID</val1>
				<val2>Packstoff</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoveryPartyID</val1>
				<val2>Identifikation des Recyclers</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoveryPartyID</val1>
				<val2>Identifikation des Recyclers</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoveryPartyLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Recyclers</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoverySiteID</val1>
				<val2>Identifikation des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoverySiteLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoveryTypeID</val1>
				<val2>Verwertungsart</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>MassValue</val1>
				<val2>Masse an Verpackungsmaterial</val2>
			</row>
			<row>
				<val0>STRCT20</val0>
				<val1>MaterialTypeID</val1>
				<val2>Packstoff</val2>
			</row>
			<row>
				<val0>STRCT20</val0>
				<val1>SingleUsePlasticBottleTypeID</val1>
				<val2>Art von Einwegkunststoff-Getränkeflasche</val2>
			</row>
			<row>
				<val0>STRCT20</val0>
				<val1>BeverageTypeID</val1>
				<val2>Getränkekategorie</val2>
			</row>
			<row>
				<val0>STRCT20</val0>
				<val1>BeverageVolumeID</val1>
				<val2>Getränkevolumen-Kategorie</val2>
			</row>
			<row>
				<val0>STRCT20</val0>
				<val1>MassValue</val1>
				<val2>Masse von Einweggetränkeverpackungen für den jeweiligen Packstoff, die jeweilige Getränkekategorie und die jeweilige Getränkevolumen-Kategorie</val2>
			</row>
			<row>
				<val0>STRCT20</val0>
				<val1>Count</val1>
				<val2>Anzahl von Einweggetränkeverpackungen für den jeweiligen Packstoff, die jeweilige Getränkekategorie und die jeweilige Getränkevolumen-Kategorie</val2>
			</row>
			<row>
				<val0>STRCT21</val0>
				<val1>MaterialTypeID</val1>
				<val2>Packstoff</val2>
			</row>
			<row>
				<val0>STRCT21</val0>
				<val1>RecoveryPartyID</val1>
				<val2>Identifikation des Recyclers</val2>
			</row>
			<row>
				<val0>STRCT21</val0>
				<val1>RecoveryPartyID</val1>
				<val2>Identifikation des Recyclers</val2>
			</row>
			<row>
				<val0>STRCT21</val0>
				<val1>RecoveryPartyLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Recyclers</val2>
			</row>
			<row>
				<val0>STRCT21</val0>
				<val1>RecoverySiteID</val1>
				<val2>Identifikation des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT21</val0>
				<val1>RecoverySiteLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT21</val0>
				<val1>MassValue</val1>
				<val2>Masse an Verpackungsmaterial</val2>
			</row>
		</data>
	</let>
	<let name="lcat">
		<data>
			<row>
				<val0>9008390101414</val0>
				<val1>Papier, Karton, Pappe und Wellpappe</val1>
			</row>
			<row>
				<val0>9008390101421</val0>
				<val1>Glas</val1>
			</row>
			<row>
				<val0>9008390101438</val0>
				<val1>Holz</val1>
			</row>
			<row>
				<val0>9008390101445</val0>
				<val1>Keramik</val1>
			</row>
			<row>
				<val0>9008390101452</val0>
				<val1>Metalle</val1>
			</row>
			<row>
				<val0>9008390101469</val0>
				<val1>Textile Faserstoffe</val1>
			</row>
			<row>
				<val0>9008390101476</val0>
				<val1>Kunststoffe</val1>
			</row>
			<row>
				<val0>9008390101483</val0>
				<val1>Verbundverpackungen, ausgenommen Getränkeverbundkarton</val1>
			</row>
			<row>
				<val0>9008390101490</val0>
				<val1>Sonstige Packstoffe auf biologischer Basis</val1>
			</row>
			<row>
				<val0>9008390101810</val0>
				<val1>Getränkeverbundkarton</val1>
			</row>
			<row>
				<val0>9008390106846</val0>
				<val1>Eisenmetalle</val1>
			</row>
			<row>
				<val0>9008390106853</val0>
				<val1>Aluminium</val1>
			</row>
			<row>
				<val0>9008390106860</val0>
				<val1>Leichtverpackungen</val1>
			</row>
			<row>
				<val0>9008390106877</val0>
				<val1>Folien, Umreifungsbänder und Klebebänder</val1>
			</row>
			<row>
				<val0>9008390106884</val0>
				<val1>Hohlkörper</val1>
			</row>
			<row>
				<val0>9008390106891</val0>
				<val1>EPS (Aufgeschäumtes bzw. Expandiertes Polystyrol)</val1>
			</row>
			<row>
				<val0>9008390106907</val0>
				<val1>Biogene Packstoffe</val1>
			</row>
			<row>
				<val0>9008390124901</val0>
				<val1>Sehr leichte Kunststofftragetaschen</val1>
			</row>
			<row>
				<val0>9008390124918</val0>
				<val1>Kunststoffe Folien</val1>
			</row>
			<row>
				<val0>9008390124925</val0>
				<val1>Kunststoffe Hohlkörper</val1>
			</row>
			<row>
				<val0>9008390124932</val0>
				<val1>Sonstige Verpackungen</val1>
			</row>
			<row>
				<val0>9008390124949</val0>
				<val1>Getränkebecher</val1>
			</row>
			<row>
				<val0>9008390124956</val0>
				<val1>Lebensmittelverpackungen</val1>
			</row>
			<row>
				<val0>9008390124963</val0>
				<val1>Säckchen und Folienverpackungen (Wrappers) aus flexiblem Material</val1>
			</row>
			<row>
				<val0>9008390124970</val0>
				<val1>Getränkebehälter - PET-Getränkeflaschen</val1>
			</row>
			<row>
				<val0>9008390124987</val0>
				<val1>Getränkebehälter - Sonstige Getränkeflaschen</val1>
			</row>
			<row>
				<val0>9008390124994</val0>
				<val1>Getränkebehälter - Sonstige Getränkebehälter</val1>
			</row>
			<row>
				<val0>9008390125007</val0>
				<val1>Feuchttücher</val1>
			</row>
			<row>
				<val0>9008390125014</val0>
				<val1>Luftballons</val1>
			</row>
			<row>
				<val0>9008390125021</val0>
				<val1>Tabakprodukte</val1>
			</row>
			<row>
				<val0>9008390125038</val0>
				<val1>Fanggeräte</val1>
			</row>
			<row>
				<val0>9008390125137</val0>
				<val1>Getränkebecher - vollständig aus Kunststoff</val1>
			</row>
			<row>
				<val0>9008390125144</val0>
				<val1>Getränkebecher - teilweise aus Kunststoff</val1>
			</row>
			<row>
				<val0>9008390125151</val0>
				<val1>Lebensmittelverpackungen - vollständig aus Kunststoff</val1>
			</row>
			<row>
				<val0>9008390125168</val0>
				<val1>Lebensmittelverpackungen - teilweise aus Kunststoff</val1>
			</row>
			<row>
				<val0>9008390132531</val0>
				<val1>Bier</val1>
			</row>
			<row>
				<val0>9008390132548</val0>
				<val1>Wässer</val1>
			</row>
			<row>
				<val0>9008390132555</val0>
				<val1>Saft</val1>
			</row>
			<row>
				<val0>9008390132562</val0>
				<val1>Alkoholfreie Erfrischungsgetränke</val1>
			</row>
			<row>
				<val0>9008390132586</val0>
				<val1>Wein</val1>
			</row>
			<row>
				<val0>9008390132593</val0>
				<val1>Sekt und Spirituosen</val1>
			</row>
			<row>
				<val0>9008390132609</val0>
				<val1>bis inkl. 0,25 l</val1>
			</row>
			<row>
				<val0>9008390132616</val0>
				<val1>über 0,25 l bis inkl. 0,33 l</val1>
			</row>
			<row>
				<val0>9008390132623</val0>
				<val1>über 0,33 l bis inkl. 0,5 l</val1>
			</row>
			<row>
				<val0>9008390132630</val0>
				<val1>über	0,5 l bis inkl. 0,75 l</val1>
			</row>
			<row>
				<val0>9008390132647</val0>
				<val1>über 0,75 l bis inkl. 1 l</val1>
			</row>
			<row>
				<val0>9008390132654</val0>
				<val1>über 1 l bis inkl. 1,5 l</val1>
			</row>
			<row>
				<val0>9008390132661</val0>
				<val1>über 1,5 l</val1>
			</row>
		</data>
	</let>
	<let name="l4399">
		<data>
			<row>
				<val0>9008390125052</val0>
				<val1>Thermische Verwertung</val1>
			</row>
			<row>
				<val0>9008390125045</val0>
				<val1>Recycling</val1>
			</row>
			<row>
				<val0>9008390125069</val0>
				<val1>Sonstige Verwertung</val1>
			</row>
		</data>
	</let>
	<xsl:function name="f:msgBasicRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID])) then ($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID]/sch:val1) else ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID),'«-Daten')"/>
	</xsl:function>
	<xsl:function name="f:msgPeriodRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID eq 'PLC_MKT.MNTH') then (concat('den Monat ',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),6,2),'/',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4))) else (concat('das Jahr ', substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4)))"/>
	</xsl:function>
	<xsl:function name="f:msgRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat(f:msgBasicRef($ncontext),' für ',f:msgPeriodRef($ncontext))"/>
	</xsl:function>
	<xsl:function name="f:valNodeName" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if (exists($ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName)) then concat('»',$ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName,'«') else '»edm.gv.at«'"/>
	</xsl:function>
	<pattern abstract="true" id="P129">
		<rule id="C129" context="pkm:ReportUserMessage/pkm:ListedData/pkm:Site[not(exists(pkm:$elem_name))]">
			<report id="R129" role="ERROR" test="true()">Die Übermittlung enthält in der Auflistung von Verwertungsstandorten mit Name und Adresse den Standort mit den folgenden Angaben: <sch:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <sch:value-of select="'$elem_descr'"/> (Datenelement »<sch:value-of select="'$elem_name'"/>«).</report>
		</rule>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="Name"/>
		<param name="elem_descr" value="die Bezeichnung des Standorts"/>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="AddressCountryID"/>
		<param name="elem_descr" value="die Identifikation des Landes, in welchem sich der Standort befindet"/>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="AddressPostalAreaID"/>
		<param name="elem_descr" value="die Postleitzahl des Standorts"/>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="AddressCityName"/>
		<param name="elem_descr" value="die Bezeichnung des Orts, z.B. Stadt, an dem sich der Standort befindet"/>
	</pattern>
	<pattern>
		<rule id="C123m" context="pkm:ReportUserMessage/pkm:ListedData/pkm:Site">
			<!-- pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID[. eq current()/text()]))] -->
			<report id="R495" role="ERROR" test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID[. eq current()/pkm:LocalAssignmentID/text()]))">Die Übermittlung enthält Name und Adresse des Standorts <sch:value-of select="f:resolveLocalSiteRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf diesen Standort. Das Datenformat unterstützt die Angabe von Name und Adresse eines Standorts nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf diesen Standort enthält, z.B. als Recyclingstandort, an den Getränkeverpackungsmaterialien übergeben wurden.</report>
			<report id="R123" role="INFO" test="pkm:AddressCountryID eq '040'">Die Übermittlung enthält Name und Adresse des Verwertungsstandorts <sch:value-of select="f:resolveLocalSiteRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Standortadresse liegt in Österreich. In Österreich gelegene Verwertungsstandorte sollen nach Möglichkeit in Übermittlungen nicht per Name und Adresse benannt werden, sondern mittels der in edm.gv.at zum Standort eingetragenen GLN.</report>
			<report id="R582" role="ERROR" test="count(f:precedingIdenticalSite(current())) eq 1">Die Übermittlung enthält in der Auflistung von Verwertungsstandorten mit Name und Adresse denselben Standort <sch:value-of select="f:resolveLocalSiteRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/> mehrfach. Das Datenformat unterstützt nur solche Auflistungen, in welchen jeder Standort nicht öfter als 1 Mal auftritt.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C162" context="pkm:ReportUserMessage/pkm:MessagePart[exists(pkm:Event) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq false())]">
			<report id="R162" role="ERROR" test="true()">Die Übermittlung enthält in jenem Message-Teil, der sich auf Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, die Kennzeichung, dass in Bezug auf die Inhaltsart im Berichtszeitraum keine zu berichtenden Tätigkeiten ausgeübt wurden (»ReportingObligationActivityIndicator« auf Wert »false«), der Message-Teil enthält jedoch dennoch Angaben zu Tätigkeiten, z.B. Massen je Untergliederung. Es muss eine Übereinstimmung zwischen (a) der Information, ob zu berichtende Tätigkeiten ausgeübt wurden, und (b) dem Vorhandensein btw. Nicht-Vorhandensein von Masse-/Anzahl-Angaben bestehen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C953" context="pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]">
			<report id="R953" role="ERROR" test="true()">Die Übermittlung enthält in jenem Message-Teil, der sich auf Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, die Kennzeichung, dass in Bezug auf die Inhaltsart im Berichtszeitraum zu berichtende Tätigkeiten ausgeübt wurden (»ReportingObligationActivityIndicator« auf Wert »true«), es fehlen aber Angaben zu diesen Tätigkeiten, z.B. Massen je Untergliederung. Es muss eine Übereinstimmung zwischen (a) der Information, ob zu berichtende Tätigkeiten ausgeübt wurden, und (b) dem Vorhandensein btw. Nicht-Vorhandensein von Masse-/Anzahl-Angaben bestehen.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P188">
		<rule id="R188" context="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('$content_type_id', 1, 12)]">
			<report id="R188" role="ERROR" test="(count(pkm:MessagePart[pkm:ContentTypeID eq '$content_type_id']) eq 0)">In der Übermittlung fehlen Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,'$content_type_id')"/>. Das Datenformat erfordert solche Inhalte. Wenn im Berichtszeitraum keine der Inhaltsart entsprechenden Tätigkeiten ausgeübt wurden, dann muss die Message dennoch einen Message-Teil der betreffenden Inhaltsart enthalten, in diesem Fall mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator«.</report>
		</rule>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_BVG.YEAR.dPG.aPLC_MKT.tHH.cSTRCT20"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_BVG.YEAR.dPG.aSEP_CLT.tHH.cSTRCT20"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07"/>
	</pattern>
	<pattern>
		<rule id="C202m" context="pkm:ReportUserMessage/pkm:ListedData/pkm:Party">
			<!-- pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID[. eq current()/text()]))] -->
			<report id="R372" role="ERROR" test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID[. eq current()/pkm:LocalAssignmentID/text()]))">Die Übermittlung enthält Name und Adresse des Unternehmens <sch:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf dieses Unternehmen. Das Datenformat unterstützt die Angabe von Name und Adresse eines Unternehmens nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf dieses Unternehmen enthält, z.B. als Recyclingunternehmen, an das Getränkeverpackungsmaterialien übergeben wurden.</report>
			<report id="R202" role="INFO" test="pkm:RegisteredOfficeAddressCountryID eq '040'">Die Übermittlung enthält Name und Adresse des Verwertungsunternehmens <sch:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/>. Die Sitzadresse liegt in Österreich. Verwertungsunternehmen mit Sitz in Österreich sollen nach Möglichkeit in Übermittlungen nicht per Name und Adresse benannt werden, sondern mittels der in edm.gv.at zum Unternehmen eingetragenen GLN.</report>
			<report id="R392" role="ERROR" test="count(f:precedingIdenticalParty(current())) eq 1">Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse dasselbe Unternehmen <sch:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, pkm:LocalAssignmentID)"/> mehrfach. Das Datenformat unterstützt nur solche Auflistungen, in welchen jedes Unternehmen nicht öfter als 1 Mal auftritt.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C248" context="pkm:ReportUserMessage/pkm:ReportPeriodEndDate">
			<report id="R248" role="ERROR" test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') ne format-date(xs:date(.), '[Y]'))">Die Übermittlung enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]-[D,2]')"/>« und das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(.), '[Y]-[M,2]-[D,2]')"/>«. Das Datenformat unterstützt nur solche Berichtszeiträume, bei welchen Beginndatum und Enddatum innerhalb desselben Kalenderjahres liegen.</report>
			<report id="R693" role="ERROR" test="(format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') eq format-date(xs:date(.), '[Y]')) and exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and ((year-from-dateTime(xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp))-year-from-date(xs:date(.))) gt 3)">Für die Übermittlung liegt der Berichtszeitraum mehr als 3 Jahre in der Vergangenheit, konkret im Jahr <sch:value-of select="format-date(xs:date(.), '[Y]')"/>. Die Schnittstelle unterstützt Übermittlungen nur für solche Berichtszeiträume, die höchstens 3 Jahre zurückliegen.</report>
			<report id="R704" role="ERROR" test="ends-with(current()/../pkm:MessageTypeID, 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-12-31'))">Die Übermittlung enthält das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Das Datenformat unterstützt nur den 31. Dezember eines Jahres, z.B. »<sch:value-of select="format-date(xs:date(current()), '[Y]-12-31')"/>«, als Berichtszeitraum-Enddatum.</report>
			<report id="R684" role="INFO" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H'))) and not(xs:date(../pkm:ReportPeriodStartDate) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">Die Übermittlung erfolgt zum Datum »<sch:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. die Übermittlung erfolgt vor Ablauf des Berichtsjahres. Die Übermittlung soll üblicherweise erst nach Ablauf des Berichtsjahres erfolgen.</report>
			<report id="R272" role="INFO" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) ge xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-04-11'))) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) le xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">Die Übermittlung erfolgt am <sch:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')),'[D,2].[M,2].[Y]')"/>. Für das Berichtsjahr <sch:value-of select="year-from-date(xs:date(current()))"/> hätte die Übermittlung jedoch bis spätestens zum 10. April <sch:value-of select="year-from-date(xs:date(current()))+1"/> erfolgen sollen.</report>
			<report id="R636" role="WARNING" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and ((year-from-dateTime(xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp))-year-from-date(xs:date(.))) le 3) and (f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) gt xs:date(format-date(xs:date(current())+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">Die Übermittlung erfolgt am <sch:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')),'[D,2].[M,2].[Y]')"/>. Für das Berichtsjahr <sch:value-of select="year-from-date(xs:date(current()))"/> hätte die Übermittlung jedoch bis spätestens zum 10. April <sch:value-of select="year-from-date(xs:date(current()))+1"/> erfolgen sollen.</report>
			<!--Die Übermittlung von <sch:value-of select="f:msgRef(current())" /> soll spätestens bis zum 10. April <sch:value-of select="year-from-date(xs:date(pkm:ReportPeriodEndDate))+1" /> erfolgen. Verletzt für die Übermittlung zum Datum <sch:value-of select="f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H'))" />.-->
		</rule>
	</pattern>
	<pattern>
		<rule id="C273m" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event">
			<let name="n_preceding_event" value="f:precedingSameTypeEvent(current())"/>
			<report id="R273" role="ERROR" test="count($n_preceding_event) eq 1">Die Übermittlung enthält zwei oder mehr Angaben zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
				<sch:value-of select="f:prefixIfNonEmpty(' und den folgenden Gruppierungskriterien: ',f:describeEvent(.,'','.MassValue.Count.',$lcat,$l4399))"/>.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Das erste Auftreten enthält die folgenden Angaben: ',f:describeEvent($n_preceding_event[1],'.MassValue.Count.','',$lcat,$l4399),'.')"/>
				<sch:value-of select="f:prefixSuffixIfNonEmpty(' Das zweite Auftreten enthält die folgenden Angaben: ',f:describeEvent(current(),'.MassValue.Count.','',$lcat,$l4399),'.')"/> Das Datenformat unterstützt je Message-Teil höchstens eine Massen- bzw. Anzahl-Angabe je Gruppierung.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C298m" context="pkm:ReportUserMessage/pkm:ReportPeriodStartDate">
			<report id="R298" role="ERROR" test="ends-with(current()/../pkm:MessageTypeID, 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-01-01'))">Die Übermittlung enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Das Datenformat unterstützt nur den 1. Jänner eines Jahres, z.B. »<sch:value-of select="format-date(xs:date(current()), '[Y]-01-01')"/>«, als Berichtszeitraum-Beginndatum.</report>
			<report id="R334" role="ERROR" test="year-from-date(xs:date(current())) lt 2025">Die Übermittlung enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Das Webservice unterstützt Übermittlungen nur für Berichtsjahre ab 2025.</report>
			<report id="R879" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">Die Übermittlung erfolgt zum Datum »<sch:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. die Übermittlung erfolgt vor Beginn des Berichtsjahres. Das Webservice unterstützt Übermittlungen für ein Berichtsjahr erst nach Anbruch dieses Jahres.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C337" context="pkm:ReportUserMessage/pkm:ListedData/*/pkm:LocalAssignmentID">
			<report id="R337" role="ERROR" test="count(../preceding-sibling::*[pkm:LocalAssignmentID eq current()/text()]) eq 1">Die Übermittlung enthält den Wert »<sch:value-of select="current()/text()"/>« mehrfach als Übermittlungs-internen Bezug auf Name und Adresse von Verwertungsunternehmen bzw. Verwertungsstandorten. In der Auflistung der Namen und Adressen von Verwertungsunternehmen und Verwertungsstandorten darf jeder als Übermittlungs-interner Bezug zugeordnete Wert nicht öfter als 1 Mal auftreten.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C344" context="pkm:ReportUserMessage/pkm:MessagePart">
			<report id="R344" role="ERROR" test="count(./preceding-sibling::pkm:MessagePart[pkm:ContentTypeID eq current()/pkm:ContentTypeID]) eq 1">Die Übermittlung enthält zwei oder mehr Message-Teile mit Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/>. Das Datenformat unterstützt je Inhaltsart höchstens einen Message-Teil.</report>
			<report id="R853" role="INFO" test="(f:safeStringValue(pkm:ContentTypeID) eq 'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT07') and (year-from-date(xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate)) ge 2028) and not(exists(pkm:Event[(f:safeStringValue(pkm:SingleUsePlasticBottleTypeID) eq '9008390124987')]))">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> keine Angaben zu sonstigen Kunststoff-Getränkeflaschen ausgenommen PET-Flaschen für das Berichtsjahr <sch:value-of select="format-date(xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate), '[Y]')"/>. Gemäß § 24 Abs. 1 Z 5 Pfandverordnung für Einweggetränkeverpackungen erwartet die Behörde diese Angaben ab dem Berichtsjahr 2028.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C408" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) lt 0.0]">
			<report id="R408" role="ERROR" test="true()">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemMassValue(..,'','',true())"/>. Das Datenformat unterstützt nur nicht-negative Massen-Angaben.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der negativen Masse zusammenhängende Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399),'.')"/>
			</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C464" context="pkm:ReportUserMessage/pkm:ListedData/pkm:Party/pkm:ID">
			<!-- pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:ID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))] -->
			<report id="R464" role="ERROR" test="exists(@registerID) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))">Die Übermittlung enthält zu dem mit Name und Adresse aufgelisteten Verwertungsunternehmen <sch:value-of select="f:resolveLocalPartyRefString(/pkm:MessageValidationContext/pkm:ReportUserMessage, ../pkm:LocalAssignmentID)"/> die ID »<sch:value-of select="current()/text()"/>« in Kombination mit ID-Art »<sch:value-of select="current()/@registerID"/>«. Das Datenformat unterstützt diese ID-Art nicht. Das Datenformat unterstützt hier genau die in edm.gv.at Codeliste 7411 definierten Unternehmens-ID-Arten.</report>
			<report id="R771" role="ERROR" test="exists(@registerID) and (count(f:precedingIdenticalParty(..)) eq 0) and (count(../preceding-sibling::pkm:Party[f:safeEQnull(pkm:ID,current()) and (exists(pkm:ID/@registerID)) and (pkm:ID/@registerID eq current()/@registerID)]) eq 1)">Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse dieselbe Unternehmens-ID »<sch:value-of select="current()/text()"/>« mehrfach, also in den Angaben zu mehreren Unternehmen. Das Datenformat unterstützt nur solche Auflistungen, in welchen jede Unternehmens-ID nicht öfter als 1 Mal auftritt.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P467">
		<rule id="C467" context="pkm:ReportUserMessage/pkm:ListedData/pkm:Party[not(exists(pkm:$elem_name))]">
			<report id="R467" role="ERROR" test="true()">Die Übermittlung enthält in der Auflistung von Verwertungsunternehmen mit Name und Adresse das Unternehmen mit den folgenden Angaben: <sch:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Dabei fehlt <sch:value-of select="'$elem_descr'"/> (Datenelement »<sch:value-of select="'$elem_name'"/>«).</report>
		</rule>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="Name"/>
		<param name="elem_descr" value="die Bezeichnung des Unternehmens"/>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="RegisteredOfficeAddressCountryID"/>
		<param name="elem_descr" value="die Identifikation des Landes, in dem das Unternehmen seinen Sitz hat"/>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="RegisteredOfficeAddressPostalAreaID"/>
		<param name="elem_descr" value="die Postleitzahl vom Sitz des Unternehmens"/>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="RegisteredOfficeAddressCityName"/>
		<param name="elem_descr" value="die Bezeichnung des Orts, z.B. Stadt, an dem das Unternehmen seinen Sitz hat"/>
	</pattern>
	<pattern>
		<rule id="C507" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) eq 0]">
			<report id="R507" role="ERROR" test="true()">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemCount(..,'','',true())"/>. Das Datenformat unterstützt die Anzahl 0 nicht. Gruppierungen, z.B. Packstoffe, für die im Berichtszeitraum keine entsprechenden Tätigkeiten ausgeübt wurden, sind nicht mit Anzahl 0 zu übermitteln, sondern aus der Übermittlung wegzulassen.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Anzahl 0 zusammenhängende Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399),'.')"/>
			</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C525" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID">
			<report id="R525" role="ERROR" test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq current()/text()]))">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwerters den Wert »<sch:value-of select="current()/text()"/>«. Dieser Wert verweist innerhalb der übermittelten Daten nicht auf Name und Adresse eines Unternehmens.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit dem Verwerter-Bezug zusammenhängende Angaben: ',f:describeEvent(..,'','.RecoveryPartyLocalReferenceID.',$lcat,$l4399),'.')"/>
			</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P529">
		<rule id="C529" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event">
			<report id="R529" role="ERROR" test="not(f:flexiContainsEventElem(.,'$elem_name')) and f:isRequiredEventElem(current(),'$elem_name',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),$l8261)">In der Übermittlung fehlt zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
				<sch:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'$elem_name','val3'))"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</report>
		</rule>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="MassValue"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="Count"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="MaterialTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="SingleUsePlasticBottleTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="BeverageTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="BeverageVolumeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="RecoveryTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="RecoveryPartyID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="RecoverySiteID"/>
	</pattern>
	<pattern>
		<rule id="C683" context="pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID">
			<report id="R683" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]))">Die Übermittlung enthält <sch:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',f:safeStringValue(../pkm:Name),'«')) else (concat('in den Sitzadress-Angaben zum Verwertungsunternehmen »',f:safeStringValue(../pkm:Name),'«'))"/> den Wert »<sch:value-of select="current()/text()"/>« als Identifikation eines Landes (Nationalstaats). Das Datenformat unterstützt diesen Wert nicht. Das Datenformat unterstützt hier die Identifikation von Einträgen aus edm.gv.at Codeliste 3862 per 3-Ziffern-ID, z.B. »040« für Österreich. Die edm.gv.at Codeliste 3862 gibt die ISO 3166-1 Liste von Ländern wieder.</report>
			<report id="R491" role="WARNING" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) and (xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) lt xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate))">Die Übermittlung enthält <sch:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',f:safeStringValue(../pkm:Name),'«')) else (concat('in den Sitzadress-Angaben zum Verwertungsunternehmen »',f:safeStringValue(../pkm:Name),'«'))"/> die Identifikation des Landes (Nationalstaats) <sch:value-of select="f:resolveCountryIDString(/pkm:MessageValidationContext,current()/text())"/>. Gemäß edm.gv.at Codeliste 3862 gibt es dieses Land seit <sch:value-of select="format-date(xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate), '[D,2].[M,2].[Y]')"/> nicht mehr, d.h. das Land hat im Berichtsjahr nicht mehr existiert.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C685" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID">
			<let name="val_node_ind_data_party_node" value="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
			<report id="R685" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and (count($val_node_ind_data_party_node) eq 0)">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. In edm.gv.at ist mit dieser ID (GLN) kein Unternehmens-Eintrag auffindbar.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
			</report>
			<report id="R699" role="WARNING" test="(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator) and (xs:boolean($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator[1]) eq false())">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at war das Unternehmen im Berichtsjahr nicht als Abfallverwerter tätig.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
			</report>
			<report id="R496" role="WARNING" test="(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node/pkm:BusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod,'StartDate','EndDate')">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsunternehmens <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at war das Unternehmen im Berichtsjahr stillgelegt<sch:value-of select="concat(', und zwar von  ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate)) then (concat(' bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
			</report>
			<report id="R942" role="WARNING" test="(count($val_node_ind_data_party_node) eq 1) and exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod,'StartDate','EndDate')">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsunternehmens <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at war das Unternehmen im Berichtsjahr ruhendgestellt<sch:value-of select="concat(', und zwar von  ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate)) then (concat(' bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Unternehmens-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399), '.')"/>
			</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C737" context="pkm:ReportUserMessage/pkm:MessageCreationUTCTimestamp">
			<report id="R737" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))">Die Übermittlung enthält den Message-Erstellungszeitpunkt »<sch:value-of select="."/>« und erfolgt zum Zeitpunkt »<sch:value-of select="/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp"/>«, d.h. der Message-Erstellungszeitpunkt liegt in der Zukunft. Das Webservice unterstützt die Übermittlung von Messages mit in der Zukunft liegendem Erstellungsdatum NICHT.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C752" context="pkm:ReportUserMessage/pkm:ListedData[not(exists(*))]">
			<report id="R752" role="ERROR" test="true()">Die Übermittlung enthält ein Gruppierungselement für Angaben von Namen und Adressen von Recyclingunternehmen und/oder Recyclingstandorten, »ListedData«, welches leer ist, d.h. keine XML-Unterelemente enthält. Das Datenformat unterstützt das Gruppierungselement »ListedData« nur bei Vorhandensein von einem oder mehreren XML-Unterelementen, d.h. nur bei Vorhandensein von zumindest einer Namens- und Adress-Angabe zu einem Recyclingunternehmen und/oder einem Recyclingstandort.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C755" context="pkm:ReportUserMessage/pkm:MessageCreationPartyID | pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID">
			<!-- pkm:ReportUserMessage/pkm:MessageCreationPartyID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))] -->
			<report id="R755" role="ERROR" test="exists(@registerID) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))">Die Übermittlung enthält die Angabe <sch:value-of select="if (local-name(current()) eq 'MessageCreationPartyID') then ('des Übermittlungs-Erstellers') else ('eines Verwertungsunternehmens')"/>  mit der ID »<sch:value-of select="current()/text()"/>« und der ID-Art »<sch:value-of select="current()/@registerID"/>«. Das Datenformat unterstützt diese ID-Art nicht. Das Datenformat unterstützt hier genau die in edm.gv.at Codeliste 7836 definierten Unternehmens-ID-Arten.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C815" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID">
			<let name="val_node_ind_data_site_node" value="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[pkm:SiteEDMGLNID eq current()/text()]"/>
			<report id="R815" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and (count($val_node_ind_data_site_node) eq 0)">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <sch:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>. In edm.gv.at ist mit dieser ID (GLN) kein Standort-Eintrag auffindbar.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Standort-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399), '.')"/>
			</report>
			<report id="R512" role="WARNING" test="(count($val_node_ind_data_site_node) eq 1) and exists($val_node_ind_data_site_node/pkm:RecoverySiteIndicator) and (xs:boolean($val_node_ind_data_site_node/pkm:RecoverySiteIndicator[1]) eq false())">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <sch:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>. Gemäß Eintrag in edm.gv.at wurde am Standort im Berichtsjahr keine Abfallverwertung durchgeführt.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Standort-ID zusammenhängende Angaben in der Übermittlung: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399), '.')"/>
			</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C855" context="*[exists(@xsi:type)]">
			<report id="R855" role="ERROR" test="true()">Die Übermittlung ENTHÄLT das XML-Attribut »xsi:type« (»type«-Attribut aus dem Namensraum »http://www.w3.org/2001/XMLSchema-instance«). Das Datenformat unterstützt »xsi:type« XML-Attribut-Angaben NICHT.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C863" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID">
			<report id="R863" role="ERROR" test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq current()/text()]))">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwertungsstandorts den Wert »<sch:value-of select="current()/text()"/>«. Dieser Wert verweist innerhalb der übermittelten Daten nicht auf Name und Adresse eines Standorts.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit dem Verwertungsstandort-Bezug zusammenhängende Angaben: ',f:describeEvent(..,'','.RecoverySiteLocalReferenceID.',$lcat,$l4399),'.')"/>
			</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P886">
		<rule id="C886" context="pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]) eq 1)]">
			<let name="sum_a" value="sum(pkm:MessagePart[pkm:ContentTypeID eq $a_contenttypeid]/pkm:Event/xs:decimal(pkm:MassValue))"/>
			<let name="sum_b" value="sum(pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]/pkm:Event/xs:decimal(pkm:MassValue))"/>
			<assert id="R886" role="INFO" test="$sum_a ge $sum_b">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,$a_contenttypeid)"/> über alle Packstoffe hinweg die Gesamtmasse <sch:value-of select="f:formatMassCore($sum_a)"/>, sowie zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,$b_contenttypeid)"/> über alle Packstoffe hinweg die Gesamtmasse <sch:value-of select="f:formatMassCore($sum_b)"/>. Die Gesamtmasse der recyclierten Verpackungsmaterialien ist für den Berichtszeitraum also größer als die Gesamtmasse der zum Recycling übergebenen Verpackungsmaterialien.</assert>
		</rule>
	</pattern>
	<pattern is-a="P886">
		<param name="a_contenttypeid" value="'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.cSTRCT21'"/>
		<param name="b_contenttypeid" value="'RPT_BVG.YEAR.dPG.aRECOVER.tHH.cSTRCT14'"/>
	</pattern>
	<pattern is-a="P886">
		<param name="a_contenttypeid" value="'RPT_BVG.YEAR.dPG.aHND_RCV.tHH.bC.cSTRCT21'"/>
		<param name="b_contenttypeid" value="'RPT_BVG.YEAR.dPG.aRECOVER.tHH.bC.cSTRCT14'"/>
	</pattern>
	<pattern>
		<rule id="C931" context="pkm:ReportUserMessage/pkm:MessageCreationPartyID">
			<report id="R931" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) eq false())">Die Übermittlung weist das Unternehmen <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Ersteller der Übermittlung aus. In der Datenübermittlungs-Interaktion mit dem edm.gv.at Webservice identifiziert und authentifiziert sich der Webservice-Client »<sch:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>«. edm.gv.at enthält für »<sch:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>« keine aktive (gültige) Freischaltung, im Namen von <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> mit dem Webservice interagieren zu dürfen. Für Übermittlungen an die Behörde ist die Eintragung einer solchen Freischaltung in edm.gv.at jedoch Voraussetzung.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C953" context="pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]">
			<report id="R953" role="ERROR" test="true()">Die Übermittlung enthält in jenem Message-Teil, der sich auf Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, die Kennzeichung, dass in Bezug auf die Inhaltsart im Berichtszeitraum zu berichtende Tätigkeiten ausgeübt wurden (»ReportingObligationActivityIndicator« auf Wert »true«), es fehlen aber Angaben zu diesen Tätigkeiten, z.B. Massen je Untergliederung. Es muss eine Übereinstimmung zwischen (a) der Information, ob zu berichtende Tätigkeiten ausgeübt wurden, und (b) dem Vorhandensein btw. Nicht-Vorhandensein von Masse-/Anzahl-Angaben bestehen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C956" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) eq 0.0]">
			<report id="R956" role="ERROR" test="true()">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemMassValue(..,'','',true())"/>. Das Datenformat unterstützt die Masse 0 nicht. Gruppierungen, z.B. Packstoffe, für die im Berichtszeitraum keine entsprechenden Tätigkeiten ausgeübt wurden, sind nicht mit Masse 0 zu übermitteln, sondern aus der Übermittlung wegzulassen.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der Masse 0 zusammenhängende Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399), '.')"/>
			</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C958" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) lt 0]">
			<report id="R958" role="ERROR" test="true()">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemCount(..,'','',true())"/>. Das Datenformat unterstützt nur nicht-negative Anzahl-Angaben.<sch:value-of select="f:prefixSuffixIfNonEmpty(' Weitere mit der negativen Anzahl zusammenhängende Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399),'.')"/>
			</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="C988" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/*">
			<let name="s_elem_name_ext" value="f:eventElemNameExt($leventelem,local-name(),'val2')"/>
			<report id="R988" role="ERROR" test="f:isUnsupportedEventElem(..,local-name(),substring(current()/../../pkm:ContentTypeID, string-length(current()/../../pkm:ContentTypeID)-6),$l8261)">Die Übermittlung enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/>
				<sch:value-of select="if ($s_elem_name_ext ne '') then (concat(' ',$s_elem_name_ext,' (Datenelement »',local-name(),'«)')) else (concat(' das Datenelement »',local-name(),'«'))"/>
				<sch:value-of select="f:prefixIfNonEmpty(' und diese Detailangaben: ',f:describeEvent(..,'','',$lcat,$l4399))"/>. Das Datenformat unterstützt in diesem Zusammenhang keine »<sch:value-of select="local-name()"/>«-Datenelemente.</report>
			<!-- <sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit folgenden weiteren Angaben: ',f:describeEvent(..,'',concat('.',local-name(),'.'),$lcat,$l4399))" /> -->
		</rule>
	</pattern>
</schema>
